
Infrastructure - Task #2294

Story # 2004 (Closed): Finalize Mercury for release

Generate sources list dynamically

2012-02-07 22:05 - Skye Roseboom

Status: Closed Start date: 2012-02-07

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.21-Block.3.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Update sourceFrame.jsp to generate the datasource input select dynamically based on cn/v1/node list.  Use xhr request to query url

for options to fill into the select control.

Must integrate with default.js and the query string generation logic.

History

#1 - 2012-02-09 01:39 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-02-16 01:04 - Skye Roseboom

- Status changed from In Progress to Closed

implemented a mercury3 custom jsp taglib and on class MNSourceOptionsTag that emits html option tags for use in the mercury3 search page.

Member node list is cached for minimum of 5 minutes before refreshing -- MemberNodeSourcesMapCache

#3 - 2012-02-20 15:28 - Skye Roseboom

- Status changed from Closed to In Progress

Re-opened.   Search result page having display issues on left hand 'filter by source' control.  Count for each source is shown but the source name is

missing.

#4 - 2012-02-21 21:26 - Skye Roseboom

- Status changed from In Progress to Closed

Closing again.   Rippled use of member node source cache into solr transaction and solr client controller to handle display of member node names on

search results pages.

May re-open this task if more spots where the member node name is not displayed are found
